specVersion: '2.2'
metadata:
  name: qr-scanner-demo
type: application
resources:
  configuration:
    paths:
      webapp: webapp
framework:
  name: OpenUI5
  version: 1.84.0
  libraries:
    - name: sap.ui.core
    - name: sap.m
    - name: sap.ui.layout
    - name: themelib_sap_fiori_3
server:
  customMiddleware:
    - name: ui5-middleware-livereload
      afterMiddleware: compression
      configuration:
        port: 35729
        path: uimodule/webapp
